package com.sooka.applyData.domain;

import com.sooka.common.utils.StringUtils;

/******************************
 * TODO
 * @author yanhongliang
 * @date 2021-07-07 1:20 PM
 ******************************/

public class DataBo {

    private String id;

    private String intIds;

    private String intCodes;

    private Long deptId;

    private String datetime;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getIntIds() {
        return intIds;
    }

    public void setIntIds(String intIds) {
        this.intIds = intIds;
    }

    public String getIntCodes() {
        return intCodes;
    }

    public void setIntCodes(String intCodes) {
        this.intCodes = intCodes;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getDatetime() {
        return datetime;
    }

    public void setDatetime(String datetime) {
        this.datetime = datetime;
    }

    public static boolean check(DataBo DataBo) {

        return DataBo != null &&
                StringUtils.isNotEmpty(DataBo.getIntIds()) &&
                DataBo.getDeptId() != 0 &&
                StringUtils.isNotEmpty(DataBo.getDatetime()) &&
                DataBo.datetime.split("-").length > 2;
    }

    @Override
    public String toString() {
        return "DataBo{" +
                "id='" + id + '\'' +
                ", deptId='" + deptId + '\'' +
                ", datetime='" + datetime + '\'' +
                '}';
    }
}
